$(function () {

    'use strict';

    //$.ytLoad(); //17 GDG
	
	$('.article-text img').removeAttr( 'style' );//GDG мешали при масштабировании на моби
	
	
    $('.selectpicker').selectpicker();

    $('.sidebar').perfectScrollbar();

    $('.filter-btn').on('shown.bs.dropdown', function () {
        $('.scroll').perfectScrollbar();
    });

    $('.pagebar').bootpag();

    $(document).on('click', '#sidebar-toggle', function (e) {
        e.preventDefault();
        var _this = $(this);
        $(".wrapper").toggleClass("toggled");
        _this.trigger('toggleSidebar');
    });

    $('.flex').flexMenu({
        showOnHover: false,
        linkText: 'Еще',
        linkTitle: 'Показать еще',
        linkTextAll: 'Меню',
        linkTitleAll: 'Открыть / закрыть меню',
        threshold: 1,
        cutoff: 1
    });

    $('.date-format').dateFormat();

    $('html').click(function () {
        $('.flexMenu-popup').hide();
    });

    $('.flex').click(function (event) {
        event.stopPropagation();
        $('.flexMenu-popup').show();
    });

    $(document).on('click', '.tags-block a.more', function (e) {
        e.preventDefault();
        $(this).parent().children('a').removeClass('hide');
        $(this).remove();
    });

    $(document).on('click', '[data-toggle="ajax-modal"]', function (e) {
        e.preventDefault();
        var box = $(this).data('target'),
            url = $(this).attr('href');

        $('.modal-body').load(url, function (result) {
            $(box).modal({show: true});
			if(box=='#modalAuth'){
				$('div.page').css({'z-index':-10});//GDG			
			}
			$('.content-body img').removeAttr( 'style' );//GDG мешали при масштабировании на моби
        });
    });
	$(document).on('click', '.modal-backdrop', function (e) {        
        $('div.page').css({'z-index':0});//GDG
    });

    $('#modalContent').on('hidden.bs.modal', function (e) {
        $('.modal-nav').remove();
    })

    $('.filter-box').on('click', '*', function (e) {
        e.stopPropagation();
    });

    $(document).on('click', '.ratings-ctrl .rating-link', function (e) {
        e.preventDefault();

        var _this = $(this),
            data = _this.data();
		if($("div").is(".t_users_list")){	
			var nickname =$(".user-panel .nickname").html();
			var newvote ='<a href="#" class="nickname">'+nickname+'</a>';
		}	
        if (_this.hasClass('up')) {			
				if($("div").is(".t_users_list")){
					$(".t_users_list .rating-positive br").after(newvote);
				}					
            _this.parents('.rating-box').find('.count').load("/core/ajax/karma.php", {cd: "1", opt: "plus", target: data.target, item_id: data.target_id}, function () {
                $('.ratings-ctrl').remove();
            });
        }

        if (_this.hasClass('down')) {
			if($("div").is(".t_users_list")){
				$(".t_users_list .rating-negative br").after(newvote);
			}	
            _this.parents('.rating-box').find('.count').load("/core/ajax/karma.php", {cd: "1", opt: "minus", target: data.target, item_id: data.target_id}, function () {
                $('.ratings-ctrl').remove();
            });
        }
    });
	
	if($("div").is("#filter_date")){
		$(document).on('click', '#filter_date', function (e) {        
			//alert('filter_date');
			
		});
		//$("#filter_date input").datepicker();
		//<img alt="" src="/templates/{template}/images/icons/big/calendar1.png"/>
		$("#filter_date input").datepicker({
					autoClose: true,
                    showOn: 'button',
                    buttonText: 'Фильтр по дате',
                    buttonImageOnly: true,
                    buttonImage: '/templates/themeinstant_cultura/images/icons/big/calendar1.png',
                    dateFormat: 'yymmdd',
                    constrainInput: true,
					changeMonth: true,
					changeYear: true,
					showButtonPanel: true,
					currentText: 'Все',
					onSelect: function(dateText, inst) {
						//$(this).css("background-color","");
						//alert("Выбрано: " + dateText);
						//$("#filter_date input").val()
						$.ajax({
							type: "POST",
							url: "/actions/date-"+dateText,			
							success: function(data){
								//$('.actions-list').html(data); 
								$(".pagebar").hide();
								if($("div").is(".callout")){
									$(".callout").replaceWith(data);
								}else{	
									$(".actions-list").replaceWith(data);
								}	
							}
						});	
					}
                });
		
		$(document).on('click', '.ui-datepicker-current', function (e){        
			$("#filter_date input").datepicker('hide') ;
			location.reload();
			//alert('filter_date');			
			/*$.ajax({
				type: "POST",
				url: "/actions/date-1",			
				success: function(data){
					$(".actions-list").replaceWith(data);
				}
			});	
			*/
		});
		
	}

});
